require 'rubygems'
require 'logger'

Gem.use_paths nil, ["#{File.dirname(__FILE__)}/vendor/rubygems"]

require 'rack'
require "#{File.dirname(__FILE__)}/lib/cas_client"
require "#{File.dirname(__FILE__)}/console_auth_app"
require "#{File.dirname(__FILE__)}/lib/rack_authorization"
require "#{File.dirname(__FILE__)}/lib/rack_basic_auth"
require 'net/smtp'

::ConsoleAuth.init

use Rack::Session::Cookie,
  :key    => ::ConsoleAuth.get_config['authentication']['session_key'],
  :secret => ::ConsoleAuth.get_config['authentication']['session_secret']

use Rack::Cas::Client,
  :cas_base_url => ::ConsoleAuth.cas_base_url,
  :session_dir => './tmp/sessions',
  :logger => Logger.new('/var/log/pe-console-auth/cas_client.log'),
  :cas_port => ::ConsoleAuth.get_config['authentication']['cas_port'],
  :allow_unauthenticated_urls => ::ConsoleAuth.unauthenticated_restrictions

use Rack::ConsoleAuth::BasicAuth
use Rack::ConsoleAuth::Authorization
use Rack::Static, :urls => ["/css", "/js"], :root => "public"

run ConsoleAuthApp
